package com.example.greenwatch;

public class GleitenderMittelwert {
    private final float wichtungNeuerWert;
    private final float wichtungAlterWert;
    private float mittelwert = 0;

    private boolean istMittelwertGesetzt = false;

    GleitenderMittelwert(float wichtungNeuerWert) {
        this.wichtungNeuerWert = wichtungNeuerWert;
        this.wichtungAlterWert = 1 - this.wichtungNeuerWert;
    }

    float mittel(float wert) {
        if (istMittelwertGesetzt) {
            mittelwert = wert * wichtungNeuerWert + mittelwert * wichtungAlterWert;
        } else {
            mittelwert = wert;
            istMittelwertGesetzt = true;
        }
        return mittelwert;
}}
